> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Create webhook



## OpenAPI

````yaml post /webhook
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /webhook:
    post:
      tags:
        - signplus
      summary: Create webhook
      operationId: create_webhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookRequest'
      responses:
        '200':
          description: Webhook event received successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
      security:
        - BearerAuth:
            - SIGN_ALL_EDIT
components:
  schemas:
    CreateWebhookRequest:
      type: object
      properties:
        event:
          $ref: '#/components/schemas/WebhookEvent'
        target:
          type: string
          description: URL of the webhook target
      required:
        - event
        - target
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the webhook
        event:
          $ref: '#/components/schemas/WebhookEvent'
        target:
          type: string
          description: Target URL of the webhook
    WebhookEvent:
      type: string
      description: Event of the webhook
      enum:
        - ENVELOPE_EXPIRED
        - ENVELOPE_DECLINED
        - ENVELOPE_VOIDED
        - ENVELOPE_COMPLETED
        - ENVELOPE_AUDIT_TRAIL
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````